# Uses of Class
org.apache.qpid.proton.amqp.transport.Begin

Packages that use Begin
Package
Description
org.apache.qpid.proton.amqp.transport
org.apache.qpid.proton.codec.transport
org.apache.qpid.proton.engine.impl

## Uses of Begin in org.apache.qpid.proton.amqp.transport

Methods in org.apache.qpid.proton.amqp.transport that return Begin
Modifier and Type
Method
Description
`Begin`
Begin.`copy()`
Methods in org.apache.qpid.proton.amqp.transport with parameters of type Begin
Modifier and Type
Method
Description
`void`
FrameBody.FrameBodyHandler.`handleBegin(Begin begin, Binary payload, E context)`
Constructors in org.apache.qpid.proton.amqp.transport with parameters of type Begin
Modifier
Constructor
Description
``
`Begin(Begin other)`

## Uses of Begin in org.apache.qpid.proton.codec.transport

Methods in org.apache.qpid.proton.codec.transport that return Begin
Modifier and Type
Method
Description
`Begin`
BeginType.`newInstance(Object described)`
Methods in org.apache.qpid.proton.codec.transport that return types with arguments of type Begin
Modifier and Type
Method
Description
`Class<Begin>`
BeginType.`getTypeClass()`
Methods in org.apache.qpid.proton.codec.transport with parameters of type Begin
Modifier and Type
Method
Description
`protected List`
BeginType.`wrap(Begin val)`

## Uses of Begin in org.apache.qpid.proton.engine.impl

Methods in org.apache.qpid.proton.engine.impl with parameters of type Begin
Modifier and Type
Method
Description
`void`
TransportImpl.`handleBegin(Begin begin, Binary payload, Integer channel)`